From 51540db450123d36431f6dda1f4328624ee7af18 Mon Sep 17 00:00:00 2001
From: Anton Mitrofanov <BugMaster@narod.ru>
Date: Wed, 18 Jul 2018 21:56:33 +0300
Subject: [PATCH] Fix undefined behavior of left shift for CAVLC encoding

---
 common/vlc.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/common/vlc.c b/common/vlc.c
index 6e695d23..e00a01bc 100644
--- a/common/vlc.c
+++ b/common/vlc.c
@@ -71,7 +71,9 @@ void x264_cavlc_init( x264_t *h )
             vlc->i_next = i_next;
         }
 
-    for( int i = 1; i < (1<<16); i++ )
+    x264_run_before[0] = 0;
+    x264_run_before[1] = 0;
+    for( uint32_t i = 2; i < (1<<16); i++ )
     {
         x264_run_level_t runlevel;
         ALIGNED_ARRAY_16( dctcoef, dct, [16] );
-- 
2.13.0.windows.1

